Get a surface
curl --request GET \
--url https://app.ilitylabs.com/v1/surfaces/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/surfaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/surfaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "web",
"name": "<string>",
"config": {},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"archived_at": "2023-11-07T05:31:56Z",
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"base_url": "<string>",
"name": "<string>",
"environment": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"reason": "<string>"
}Surfaces
Get a surface
Returns one surface, including the domain it wraps and that domain’s slug.
GET
/
v1
/
surfaces
/
{id}
Get a surface
curl --request GET \
--url https://app.ilitylabs.com/v1/surfaces/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/surfaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/surfaces/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "web",
"name": "<string>",
"config": {},
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"archived_at": "2023-11-07T05:31:56Z",
"domain": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"base_url": "<string>",
"name": "<string>",
"environment": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>",
"reason": "<string>"
}Authorizations
Response
OK